PETSc version 3.17.4
Fix/Edit manual page

# DMSetMatrixPreallocateOnly

When DMCreateMatrix() is called the matrix will be properly preallocated but the nonzero structure and zero values will not be set.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetMatrixPreallocateOnly(DM dm, PetscBool only)

Logically Collective on dm

### Input Parameters

| dm | - the DM
| only | - PETSC_TRUE if only want preallocation

### Options Database Keys

| -dm_preallocate_only | - Only preallocate the matrix for DMCreateMatrix(), but do not fill it with zeros

### See Also

DMCreateMatrix(), DMSetMatrixStructureOnly()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/ts/tutorials/ex50.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages